<?php
/**
 * Contact options
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

$wp_customize->add_panel( 'yummy_pro_contact_us_template_panel' , array(
	    'title'      => esc_html__( 'Contact Us Template','yummy-pro' ),
	    'description'=> esc_html__( 'Contact Us Template Options.', 'yummy-pro' ),
	    'priority'   => 130,
) );

$wp_customize->add_section( 'yummy_pro_contact_us_title', array(
	'title'             => esc_html__( 'Contact Us Title','yummy-pro' ),
	'panel'             => 'yummy_pro_contact_us_template_panel',
) );

$wp_customize->add_setting( 'yummy_pro_theme_options[contact_us_title]', array(
	'default'           => $options['contact_us_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[contact_us_title]', array(
	'label'             => esc_html__( 'Section Title', 'yummy-pro' ),
	'section'           => 'yummy_pro_contact_us_title',
	'type'				=> 'text'
) );

$wp_customize->add_setting( 'yummy_pro_theme_options[contact_us_description]', array(
	'default'           => $options['contact_us_description'],
	'sanitize_callback' => 'esc_textarea',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[contact_us_description]', array(
	'label'             => esc_html__( 'Section Description', 'yummy-pro' ),
	'section'           => 'yummy_pro_contact_us_title',
	'type'				=> 'textarea'
) );

$wp_customize->add_section( 'yummy_pro_contact_us_form', array(
	'title'             => esc_html__( 'Contact Form','yummy-pro' ),
	'panel'             => 'yummy_pro_contact_us_template_panel',
) );

$wp_customize->add_setting( 'yummy_pro_theme_options[contact_form_title]', array(
	'default'           => $options['contact_form_title'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[contact_form_title]', array(
	'label'             => esc_html__( 'Contact Form Title', 'yummy-pro' ),
	'section'           => 'yummy_pro_contact_us_form',
	'type'				=> 'text'
) );

$wp_customize->add_setting( 'yummy_pro_theme_options[location]', array(
	'default'           => $options['location'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[location]', array(
	'label'             => esc_html__( 'Location', 'yummy-pro' ),
	'section'           => 'yummy_pro_contact_us_form',
	'type'				=> 'text'
) );

$wp_customize->add_setting( 'yummy_pro_theme_options[contact_email]', array(
	'default'           => $options['contact_email'],
	'sanitize_callback' => 'sanitize_email',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[contact_email]', array(
	'label'             => esc_html__( 'Email:', 'yummy-pro' ),
	'section'           => 'yummy_pro_contact_us_form',
	'type'				=> 'email'
) );

$wp_customize->add_setting( 'yummy_pro_theme_options[contact_number]', array(
	'default'           => $options['contact_number'],
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[contact_number]', array(
	'label'             => esc_html__( 'Phone No:', 'yummy-pro' ),
	'section'           => 'yummy_pro_contact_us_form',
	'type'				=> 'text'
) );

// Add enable contact form setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[enable_contact_form]', array(
	'default'           	=> $options['enable_contact_form'],
	'sanitize_callback' 	=> 'yummy_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'yummy_pro_theme_options[enable_contact_form]', array(
	'label'             	=> esc_html__( 'Enable Contact Form', 'yummy-pro' ),
	'section'           	=> 'yummy_pro_contact_us_form',
	'type'             	 	=> 'checkbox',
) );

// Show contact form shortcode setting and control
$wp_customize->add_setting( 'yummy_pro_theme_options[contact_form_shortcode]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[contact_form_shortcode]', array(
	'label'           		=> esc_html__( 'Contact Form ShortCode', 'yummy-pro' ),
	'description'     		=> esc_html__( 'Input the shortcode generated by your contact form here. eg: [contact-form-7 id="277" title="Contact form 1"]', 'yummy-pro' ),
	'section'         		=> 'yummy_pro_contact_us_form',
	'active_callback' 		=> 'yummy_pro_is_contact_form_active',
	'type'            		=> 'textarea',
) );

// Image Options
$wp_customize->add_setting( 'yummy_pro_theme_options[contact_form_background_image]', array(
	'default'           => $options['contact_form_background_image'],
	'sanitize_callback' => 'yummy_pro_sanitize_image',
) );

$wp_customize->add_control( new WP_Customize_Image_Control(  $wp_customize, 'yummy_pro_theme_options[contact_form_background_image]', array(
	'label'           => esc_html__( 'Contact Form Background Image', 'yummy-pro' ),
	'description'	  => esc_html__( 'Preferred size is 1200px by 800px','yummy-pro' ),
	'section'         => 'yummy_pro_contact_us_form',	
) ) );


$wp_customize->add_section( 'yummy_pro_map_form', array(
	'title'             => esc_html__( 'Map Section','yummy-pro' ),
	'panel'             => 'yummy_pro_contact_us_template_panel',
) );

// Add enable contact form setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[enable_map]', array(
	'default'           	=> $options['enable_map'],
	'sanitize_callback' 	=> 'yummy_pro_sanitize_checkbox'
) );

$wp_customize->add_control( 'yummy_pro_theme_options[enable_map]', array(
	'label'             	=> esc_html__( 'Enable Map', 'yummy-pro' ),
	'section'           	=> 'yummy_pro_map_form',
	'type'             	 	=> 'checkbox',
) );

// Show contact form shortcode setting and control
$wp_customize->add_setting( 'yummy_pro_theme_options[map_shortcode]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[map_shortcode]', array(
	'label'           		=> esc_html__( 'Input Map ShortCode', 'yummy-pro' ),
	'section'         		=> 'yummy_pro_map_form',
	'active_callback' 		=> 'yummy_pro_is_map_section_active',
	'type'            		=> 'textarea',
) );