<?php
/**
 * About options
 *
 * @package Theme Palace
 * @subpackage Yummy pro
 * @since Yummy Pro 1.0
 */
// Add about section
$wp_customize->add_section( 'yummy_pro_about_section', array(
	'title'             => esc_html__( 'About Section','yummy-pro' ),
	'description'       => esc_html__( 'About options.', 'yummy-pro' ),
	'panel'             => 'yummy_pro_sections_panel',
) );
/**
 * About Options
 */
// Enable About.
$wp_customize->add_setting( 'yummy_pro_theme_options[enable_about]', array(
	'default'           => $options['enable_about'],
	'sanitize_callback' => 'yummy_pro_sanitize_checkbox',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[enable_about]', array(
	'label'             => esc_html__( 'Enable About', 'yummy-pro' ),
	'section'           => 'yummy_pro_about_section',
	'type'				=> 'checkbox'
) );

/**
 * About content type options.
 */
$wp_customize->add_setting( 'yummy_pro_theme_options[about_content_type]', array(
	'default'           => $options['about_content_type'],
	'sanitize_callback' => 'yummy_pro_sanitize_select',
) );

$wp_customize->add_control( 'yummy_pro_theme_options[about_content_type]', array(
	'active_callback'	=> 'yummy_pro_is_about_enable',
	'label'             => esc_html__( 'Content Type', 'yummy-pro' ),
	'section'           => 'yummy_pro_about_section',
	'choices'			=> yummy_pro_about_content_type_options(),
	'type'				=> 'select'
) );

/**
 * Page Content Type Options
 */
// Page Options
$wp_customize->add_setting( 'yummy_pro_theme_options[about_page]', array(
	'sanitize_callback' => 'yummy_pro_sanitize_page'
) );

$wp_customize->add_control( 'yummy_pro_theme_options[about_page]', array(
	'active_callback' => 'yummy_pro_is_about_content_type_page_enable',
	'label'           => esc_html__( 'Select Page ', 'yummy-pro' ),
	'description'	  => esc_html__( 'Select a Page to show as promotional contain.','yummy-pro' ),
	'section'         => 'yummy_pro_about_section',
	'type'            => 'dropdown-pages',
) );

/**
 * Post Content Type Options
 */
// Post Options
$wp_customize->add_setting( 'yummy_pro_theme_options[about_post]', array(
	'sanitize_callback' => 'yummy_pro_sanitize_number_range',
	'validate_callback' => 'yummy_pro_validate_post_id',

) );

$wp_customize->add_control( 'yummy_pro_theme_options[about_post]', array(
	'active_callback' => 'yummy_pro_is_about_content_type_post_enable',
	'description'	  => esc_html__( 'Input a Post Id to show as promotional contain.','yummy-pro' ),
	'label'           => esc_html__( 'Post ID', 'yummy-pro' ),
	'section'         => 'yummy_pro_about_section',
	'type'            => 'number',
	'input_attrs'	  => array( 
		'min'			=> 1,
		'style'			=> 'width:100px',
		'placeholder'	=> esc_attr__( 'Post ID','yummy-pro' ), 
	),
) );
