<?php
/**
 * Loader options
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

$wp_customize->add_section( 'yummy_pro_loader', array(
	'title'            		=> esc_html__( 'Loader','yummy-pro' ),
	'description'      		=> esc_html__( 'Loader section options.', 'yummy-pro' ),
	'panel'            		=> 'yummy_pro_theme_options_panel',
) );

// Loader enable setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[loader_enable]', array(
	'sanitize_callback'		=> 'yummy_pro_sanitize_checkbox',
	'default'             	=> $options['loader_enable'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[loader_enable]', array(
	'label'               	=> esc_html__( 'Enable loader', 'yummy-pro' ),
	'section'             	=> 'yummy_pro_loader',
	'type'                	=> 'checkbox',
) );

// Loader icons setting and control.
$wp_customize->add_setting( 'yummy_pro_theme_options[loader_icon]', array(
	'sanitize_callback' 	=> 'sanitize_text_field',
	'default'				=> $options['loader_icon'],
) );

$wp_customize->add_control( 'yummy_pro_theme_options[loader_icon]', array(
	'label'           		=> esc_html__( 'Icon', 'yummy-pro' ),
	'description'     		=> sprintf( esc_html__( 'Use font awesome icon: Eg: %1$s. %2$s See more here %3$s', 'yummy-pro' ), 'fa-globe', '<a href="' . esc_url( 'http://fontawesome.io/icons/' ) . '" target="_blank">', '</a>' ),
	'section'         		=> 'yummy_pro_loader',
	'active_callback' 		=> 'yummy_pro_is_loader_enable',
) );
