<?php
/**
 * yummy_pro options
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

if ( ! function_exists( 'yummy_pro_header_typography_options' ) ) :
    /**
     * Returns list of typography
     * @return array font styles
     */
    function yummy_pro_header_typography_options(){

        $choices = array(
            'default'       => esc_html__( 'Default', 'yummy-pro' ),
            'header-font-1' => esc_html__( 'Playball', 'yummy-pro' ),
            'header-font-2' => esc_html__( 'Parisienne', 'yummy-pro' ),
            'header-font-3' => esc_html__( 'Lobster Two', 'yummy-pro' ),
            'header-font-4' => esc_html__( 'Dancing Script', 'yummy-pro' ),
            'header-font-5' => esc_html__( 'Rajdhani', 'yummy-pro' ),
            'header-font-6' => esc_html__( 'Cherry Swash', 'yummy-pro' ),
            'header-font-7' => esc_html__( 'Philosopher', 'yummy-pro' ),
            'header-font-8' => esc_html__( 'Slabo 27px', 'yummy-pro' ),
            'header-font-9' => esc_html__( 'Herr Von Muellerhoff', 'yummy-pro' ),
            'header-font-10' => esc_html__( 'Dynalight', 'yummy-pro' ), 
        );
        $output = apply_filters( 'yummy_pro_header_typography_options', $choices );
        if ( ! empty( $output ) ) {
            ksort( $output );
        }
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_body_typography_options' ) ) :
    /**
     * Returns list of typography
     * @return array font styles
     */
    function yummy_pro_body_typography_options(){

        $choices = array(
            'default'       => esc_html__( 'Default', 'yummy-pro' ),
            'body-font-1'   => esc_html__( 'Oxygen', 'yummy-pro' ),
            'body-font-2'   => esc_html__( 'Gudea', 'yummy-pro' ),
            'body-font-3'   => esc_html__( 'Quattrocento', 'yummy-pro' ),
            'body-font-4'   => esc_html__( 'Pontano Sans', 'yummy-pro' ),
            'body-font-5'   => esc_html__( 'Lato', 'yummy-pro' ),
            'body-font-6'   => esc_html__( 'Muli', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_body_typography_options', $choices );
        if ( ! empty( $output ) ) {
            ksort( $output );
        }
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_site_layout' ) ) :
    /**
     * Site Layout
     * @return array site layout options
     */
    function yummy_pro_site_layout() {
        $yummy_pro_site_layout = array(
            'wide'  => esc_html__( 'Wide', 'yummy-pro' ),
            'boxed' => esc_html__( 'Boxed', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_site_layout', $yummy_pro_site_layout );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_sidebar_position' ) ) :
    /**
     * Sidebar position
     * @return array Sidbar positions
     */
    function yummy_pro_sidebar_position() {
        $yummy_pro_sidebar_position = array(
            'right-sidebar' => esc_html__( 'Right', 'yummy-pro' ),
            'left-sidebar'  => esc_html__( 'Left', 'yummy-pro' ),
            'no-sidebar'    => esc_html__( 'No Sidebar', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_sidebar_position', $yummy_pro_sidebar_position );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_pagination_options' ) ) :
    /**
     * Pagination
     * @return array site pagination options
     */
    function yummy_pro_pagination_options() {
        $yummy_pro_pagination_options = array(
            'numeric'  => esc_html__( 'Numeric', 'yummy-pro' ),
            'default' => esc_html__( 'Default(Older/Newer)', 'yummy-pro' ),
            'infinite-scroll' => esc_html__( 'Infinite Scroll', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_pagination_options', $yummy_pro_pagination_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_theme_color' ) ) :
    /**
     * Pagination
     * @return array site pagination options
     */
    function yummy_pro_theme_color() {
        $yummy_pro_theme_color = array(
            'golden'    => esc_html__( 'Golden', 'yummy-pro' ),
            'blue'      => esc_html__( 'Blue', 'yummy-pro' ),
            'green'     => esc_html__( 'Green', 'yummy-pro' ),
            'red'       => esc_html__( 'Red', 'yummy-pro' ),
            'yellow'    => esc_html__( 'Yellow', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_theme_color', $yummy_pro_theme_color );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_shop_pagination_options' ) ) :
    /**
     * Pagination
     * @return array site pagination options
     */
    function yummy_pro_shop_pagination_options() {
        $yummy_pro_shop_pagination_options = array(
            'numeric'  => esc_html__( 'Numeric', 'yummy-pro' ),
            'infinite-scroll' => esc_html__( 'Infinite Scroll', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_shop_pagination_options', $yummy_pro_shop_pagination_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_transition_effects_options' ) ) :
    /**
     * Transition effects
     * @return array Transition effects
     */
    function yummy_pro_transition_effects_options() {
        $yummy_pro_transition_effects_options = array(
        'fade'                                        => esc_html__( 'Fade', 'yummy-pro' ),
        'cubic-bezier(0.250, 0.250, 0.750, 0.750)'    => esc_html__( 'Linear', 'yummy-pro' ),
        'cubic-bezier(0.250, 0.100, 0.250, 1.000)'    => esc_html__( 'Ease', 'yummy-pro' ),
        'cubic-bezier(0.950, 0.050, 0.795, 0.035)'    => esc_html__( 'Cubic', 'yummy-pro' ),
        'cubic-bezier(0.600, -0.280, 0.735, 0.045)'   => esc_html__( 'Ease In Back', 'yummy-pro' ),
        'cubic-bezier(0.785, 0.135, 0.150, 0.860)'    => esc_html__( 'EaseInOutCirc', 'yummy-pro' ),
        'cubic-bezier(0.680, -0.550, 0.265, 1.550)'   => esc_html__( 'EaseInOutBack', 'yummy-pro' ),
      );

      $output = apply_filters( 'yummy_pro_transition_effects_options', $yummy_pro_transition_effects_options );

      return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_slider_content_type_options' ) ) :
    /**
     * Slider content type options
     * @return array Content type options
     */
    function yummy_pro_slider_content_type_options() {
        $yummy_pro_slider_content_type_options = array(
            'demo'     => esc_html__( 'Demo', 'yummy-pro' ),
            'post'     => esc_html__( 'Post', 'yummy-pro' ),
            'page'     => esc_html__( 'Page', 'yummy-pro' ),
            'category' => esc_html__( 'Category', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_slider_content_type_options', $yummy_pro_slider_content_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_about_content_type_options' ) ) :
    /**
     * About content type options
     * @return array Content type options
     */
    function yummy_pro_about_content_type_options() {
        $yummy_pro_about_content_type_options = array(
            'demo'     => esc_html__( 'Demo', 'yummy-pro' ),
            'post'     => esc_html__( 'Post', 'yummy-pro' ),
            'page'     => esc_html__( 'Page', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_about_content_type_options', $yummy_pro_about_content_type_options );
        return $output;
    }
endif;

if( !function_exists( 'yummy_pro_selected_sidebar' ) ) :
    /**
     * Selected sidebar
     * @return array available Sidbar
     */
    function yummy_pro_selected_sidebar() {
      $yummy_pro_selected_sidebar = array(
        'sidebar-1'          => esc_html__( 'Default ( Primary Sidebar )', 'yummy-pro' ),
        'optional_sidebar_1' => esc_html__( 'Optional Sidebar 1', 'yummy-pro' ),
        'optional_sidebar_2' => esc_html__( 'Optional Sidebar 2', 'yummy-pro' ),
        'optional_sidebar_3' => esc_html__( 'Optional Sidebar 3', 'yummy-pro' ),
      );

      $output = apply_filters( 'yummy_pro_selected_sidebar', $yummy_pro_selected_sidebar );

      return $output;
    }
endif;

if( !function_exists( 'yummy_pro_header_image' ) ) :
    /**
     * Header image options
     * @return array Header image options
     */
    function yummy_pro_header_image() {
      $yummy_pro_header_image = array(
        'default'   => esc_html__( 'Default ( Customizer Header Image )', 'yummy-pro' ),
        'enable'    => esc_html__( 'Enable( Featured Image )', 'yummy-pro' ),
      );

      $output = apply_filters( 'yummy_pro_header_image', $yummy_pro_header_image );

      return $output;
    }
endif;


if ( ! function_exists( 'yummy_pro_special_item_header_type_options' ) ) :
    /**
     * Special item content type options
     * @return array Content type options
     */
    function yummy_pro_special_item_header_type_options() {
        $yummy_pro_special_item_header_type_options = array(
            'demo'      => esc_html__( 'Demo', 'yummy-pro' ),
            'custom'    => esc_html__( 'Custom', 'yummy-pro' ),
            'page'      => esc_html__( 'Page', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_special_item_header_type_options', $yummy_pro_special_item_header_type_options );
        return $output;
    }
endif;


if ( ! function_exists( 'yummy_pro_special_item_content_type_options' ) ) :
    /**
     * Special item content type options
     * @return array Content type options
     */
    function yummy_pro_special_item_content_type_options() {
        $yummy_pro_special_item_content_type_options = array(
            'demo'      => esc_html__( 'Demo', 'yummy-pro' ),
            'post'     => esc_html__( 'Post', 'yummy-pro' ),
            'category'  => esc_html__( 'Category', 'yummy-pro' ),
        );
        if ( class_exists( 'WooCommerce' ) ) {
            $yummy_pro_special_item_content_type_options = array_merge( $yummy_pro_special_item_content_type_options, array( 'woo-product' => esc_html__( 'Woo Products','yummy-pro' ), 'woo-category' => esc_html__( 'Woo Product Category','yummy-pro' ) ) );
        }
        $output = apply_filters( 'yummy_pro_special_item_content_type_options', $yummy_pro_special_item_content_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_item_menu_type_options' ) ) :
    /**
     * item menu content type options
     * @return array Content type options
     */
    function yummy_pro_item_menu_type_options() {
        $yummy_pro_item_menu_type_options = array(
            'demo'      => esc_html__( 'Demo', 'yummy-pro' ),
            'category'  => esc_html__( 'Category', 'yummy-pro' ),
        );
        if ( class_exists( 'WooCommerce' ) ) {
            $yummy_pro_item_menu_type_options = array_merge( $yummy_pro_item_menu_type_options, array( 'woo-category' => esc_html__( 'Woo Product Category','yummy-pro' ) ) );
        }
        $output = apply_filters( 'yummy_pro_item_menu_type_options', $yummy_pro_item_menu_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_about_us_content_type_options' ) ) :
    /**
     * About us content type options
     * @return array Content type options
     */
    function yummy_pro_about_us_content_type_options() {
        $yummy_pro_about_us_content_type_options = array(
            'post'     => esc_html__( 'Post', 'yummy-pro' ),
            'page'     => esc_html__( 'Page', 'yummy-pro' ),
            'category' => esc_html__( 'Category', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_about_us_content_type_options', $yummy_pro_about_us_content_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_about_us_advert_content_type_options' ) ) :
    /**
     * About us content type options
     * @return array Content type options
     */
    function yummy_pro_about_us_advert_content_type_options() {
        $yummy_pro_about_us_advert_content_type_options = array(
            'page'     => esc_html__( 'Page', 'yummy-pro' ),
            'post'     => esc_html__( 'Post', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_about_us_advert_content_type_options', $yummy_pro_about_us_advert_content_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_about_us_team_content_type_options' ) ) :
    /**
     * About us content type options
     * @return array Content type options
     */
    function yummy_pro_about_us_team_content_type_options() {
        $yummy_pro_about_us_team_content_type_options = array(
            'post'     => esc_html__( 'Post', 'yummy-pro' ),
        );
        if ( class_exists( 'TP_Philosophy_Tools' ) ) {
            $yummy_pro_about_us_team_content_type_options = array_merge( $yummy_pro_about_us_team_content_type_options, array( 'tp-philosophy-teams' => esc_html__( 'Team Posts', 'yummy-pro' ), ) );
        }
        $output = apply_filters( 'yummy_pro_about_us_team_content_type_options', $yummy_pro_about_us_team_content_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_about_us_choice_content_type_options' ) ) :
    /**
     * About us content type options
     * @return array Content type options
     */
    function yummy_pro_about_us_choice_content_type_options() {
        $yummy_pro_about_us_choice_content_type_options = array(
            'category'     => esc_html__( 'Category', 'yummy-pro' ),
        );
        if ( class_exists( 'WooCommerce' ) ) {
            $yummy_pro_about_us_choice_content_type_options = array_merge( $yummy_pro_about_us_choice_content_type_options, array( 'woo-category' => esc_html__( 'Woo Product Category', 'yummy-pro' ), ) );
        }
        $output = apply_filters( 'yummy_pro_about_us_choice_content_type_options', $yummy_pro_about_us_choice_content_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_about_us_interior_content_type_options' ) ) :
    /**
     * About us content type options
     * @return array Content type options
     */
    function yummy_pro_about_us_interior_content_type_options() {
        $yummy_pro_about_us_interior_content_type_options = array(
            'post'     => esc_html__( 'Post', 'yummy-pro' ),
            'page'     => esc_html__( 'Page', 'yummy-pro' ),
            'custom'   => esc_html__( 'Custom', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_about_us_interior_content_type_options', $yummy_pro_about_us_interior_content_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_recipe_content_type_options' ) ) :
    /**
     * Recipe content type options
     * @return array Content type options
     */
    function yummy_pro_recipe_content_type_options() {
        $yummy_pro_recipe_content_type_options = array(
            'demo'      => esc_html__( 'Demo', 'yummy-pro' ),
            'post'      => esc_html__( 'Post', 'yummy-pro' ),
            'category'  => esc_html__( 'Category', 'yummy-pro' ),
        );
        if ( class_exists( 'TP_Recipe' ) ) {
            $yummy_pro_recipe_content_type_options = array_merge( $yummy_pro_recipe_content_type_options, array( 'tp-recipe' => esc_html__( 'Recipe Posts', 'yummy-pro' ), 'tp-recipe-category' => esc_html__( 'Recipe Category', 'yummy-pro' ), ) );
        }
        $output = apply_filters( 'yummy_pro_recipe_content_type_options', $yummy_pro_recipe_content_type_options );
        return $output;
    }
endif;


if ( ! function_exists( 'yummy_pro_special_day_left_type_options' ) ) :
    /**
     * Special day left note content type options
     * @return array Content type options
     */
    function yummy_pro_special_day_left_type_options() {
        $yummy_pro_special_day_left_type_options = array(
            'demo'      => esc_html__( 'Demo', 'yummy-pro' ),
            'custom'    => esc_html__( 'Custom', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_special_day_left_type_options', $yummy_pro_special_day_left_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_special_day_right_note_type_options' ) ) :
    /**
     * Special day right note content type options
     * @return array Content type options
     */
    function yummy_pro_special_day_right_note_type_options() {
        $yummy_pro_special_day_right_note_type_options = array(
            'demo'     => esc_html__( 'Demo', 'yummy-pro' ),
            'post'     => esc_html__( 'Post', 'yummy-pro' ),
            'page'     => esc_html__( 'Page', 'yummy-pro' ),
            'custom'   => esc_html__( 'Custom', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_special_day_right_note_type_options', $yummy_pro_special_day_right_note_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_testimonial_content_type_options' ) ) :
    /**
     * Testimonial content type options
     * @return array Content type options
     */
    function yummy_pro_testimonial_content_type_options() {
        $yummy_pro_testimonial_content_type_options = array(
            'demo'      => esc_html__( 'Demo', 'yummy-pro' ),
            'post'      => esc_html__( 'Post', 'yummy-pro' ),
        );
        if ( class_exists( 'TP_Philosophy_Tools' ) ) {
            $yummy_pro_testimonial_content_type_options = array_merge( $yummy_pro_testimonial_content_type_options, array( 'tp-philosophy-testi' => esc_html__( 'Testimonial Posts','yummy-pro' ) ) );
        }
        $output = apply_filters( 'yummy_pro_testimonial_content_type_options', $yummy_pro_testimonial_content_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_reservation_content_type_options' ) ) :
    /**
     * Reservation content type options
     * @return array Content type options
     */
    function yummy_pro_reservation_content_type_options() {
        $yummy_pro_reservation_content_type_options = array(
            'page'     => esc_html__( 'Page','yummy-pro' ),
            'post'     => esc_html__( 'Post', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_reservation_content_type_options', $yummy_pro_reservation_content_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_reservation_header_type_options' ) ) :
    /**
     * Reservation content type options
     * @return array Content type options
     */
    function yummy_pro_reservation_header_type_options() {
        $yummy_pro_reservation_header_type_options = array(

            'custom'    => esc_html__( 'Custom', 'yummy-pro' ),
            'page'      => esc_html__( 'Page', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_reservation_header_type_options', $yummy_pro_reservation_header_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_reservation_memorable_type_options' ) ) :
    /**
     * Reservation content type options
     * @return array Content type options
     */
    function yummy_pro_reservation_memorable_type_options() {
        $yummy_pro_reservation_memorable_type_options = array(

            'category'  => esc_html__( 'Category', 'yummy-pro' ),
            'post'      => esc_html__( 'Post', 'yummy-pro' ),
        );
        $output = apply_filters( 'yummy_pro_reservation_memorable_type_options', $yummy_pro_reservation_memorable_type_options );
        return $output;
    }
endif;

if ( ! function_exists( 'yummy_pro_menu_page_first_content_type' ) ) :
    /**
     * Reservation content type options
     * @return array Content type options
     */
    function yummy_pro_menu_page_first_content_type() {
        $yummy_pro_menu_page_content_type = array(
            'category'  => esc_html__( 'Category', 'yummy-pro' ),
        );
        if ( class_exists( 'WooCommerce' ) ) {
            $yummy_pro_menu_page_content_type = array_merge( $yummy_pro_menu_page_content_type, array( 'woo-category' => esc_html__( 'Woo Category','yummy-pro' ) ) );
        }
        $output = apply_filters( 'yummy_pro_menu_page_first_content_type', $yummy_pro_menu_page_content_type );
        return $output;
    }
endif;