<?php
/**
 * Template part for displaying team posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Yummy Pro
 * @since Yummy Pro 1.0
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="col-2 clear">
		<div class="column-wrapper">
			<?php if( has_post_thumbnail() ) {
				echo '<div class="post-thumbnail">';
				the_post_thumbnail( 'thumbnail', array( 'alt' => the_title_attribute( 'echo=0' ) ) ); 
				echo '</div>';
			} ?>
			<header class="entry-header">
				<h2 class="entry-title"><?php the_title(); ?></h2>

				<?php 
		        if ( has_action( 'tp_philosophy_tools_team_designation_action' ) ) { 
		            /*
		             * @hooked tp_philosophy_tools_team_designation
		            */
		            do_action( 'tp_philosophy_tools_team_designation_action' ); 
		        } ?>
		    </header><!-- .entry-header -->

		    <?php 
		    if ( has_action( 'tp_philosophy_tools_team_skills_details_action' ) ) { 
		        /*
		         * @hooked tp_philosophy_tools_team_skills_details
		        */
		        do_action( 'tp_philosophy_tools_team_skills_details_action' ); 
		    } ?>

		    <?php 
		    if ( has_action( 'tp_philosophy_tools_team_social_links_action' ) ) { 
		        /*
		         * @hooked tp_philosophy_tools_team_social_links
		        */
		        do_action( 'tp_philosophy_tools_team_social_links_action' ); 
		    } ?>
		</div><!-- .column-wrapper -->

		<div class="column-wrapper">
		    <div class="entry-content clear">
				<?php
					the_content( sprintf(
						/* translators: %s: Name of current post. */
						wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'yummy-pro' ), array( 'span' => array( 'class' => array() ) ) ),
						the_title( '<span class="screen-reader-text">"', '"</span>', false )
					) );
					wp_link_pages( array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'yummy-pro' ),
						'after'  => '</div>',
					) );
				?>
			</div><!-- .entry-content -->
		</div><!-- .column-wrapper -->
	</div><!-- .col-2 -->

	<footer class="entry-footer">
		<?php yummy_pro_entry_footer(); ?>
	</footer><!-- .entry-footer -->
</article><!-- #post-## -->
